ProFTPd on Ubuntu 16.04 LTS won't start

10 posts / 0 new
Last post
#1 Fri, 09/08/2017 - 04:29
captncrunch

ProFTPd on Ubuntu 16.04 LTS won't start

Hello Everybody,

I am in an desperate situation, so I'd hope you are able to help me.

Fresh installation: Everything works fine, but ProFTPd won't start...

What can I do? Thanx for your help...

xxxxxweb01 - root - /root - (/bin/bash) 18$ service proftpd restart Job for proftpd.service failed because the control process exited with error code. See "systemctl status proftpd.service" and "journalctl -xe" for details.

xxxxxweb01 - root - /root - (/bin/bash) 19$ systemctl status proftpd.service ‚óŹ proftpd.service - LSB: Starts ProFTPD daemon Loaded: loaded (/etc/init.d/proftpd; bad; vendor preset: enabled) Active: failed (Result: exit-code) since Fr 2017-09-08 11:20:24 CEST; 17s ago Docs: man:systemd-sysv-generator(8) Process: 5102 ExecStart=/etc/init.d/proftpd start (code=exited, status=1/FAILURE)

Sep 08 11:20:24 xxxxxweb01 systemd[1]: Starting LSB: Starts ProFTPD daemon... Sep 08 11:20:24 xxxxxweb01 proftpd[5102]: * Starting ftp server proftpd Sep 08 11:20:24 xxxxxweb01 proftpd[5102]: 2017-09-08 11:20:24,173 bbpesweb01 proftpd[5112]: fatal: unknown configuration directive 'TLSEngine' on line 5 of '/et Sep 08 11:20:24 xxxxxweb01 proftpd[5102]: ...fail! Sep 08 11:20:24 xxxxxweb01 systemd[1]: proftpd.service: Control process exited, code=exited status=1 Sep 08 11:20:24 xxxxxweb01 systemd[1]: Failed to start LSB: Starts ProFTPD daemon. Sep 08 11:20:24 xxxxxweb01 systemd[1]: proftpd.service: Unit entered failed state. Sep 08 11:20:24 xxxxxweb01 systemd[1]: proftpd.service: Failed with result 'exit-code'.

xxxxxweb01 - root - /root - (/bin/bash) 20$ proftpd -configtest 2017-09-08 11:21:01,798 xxxxxweb01 proftpd[5117]: fatal: -c requires an absolute path

Mon, 09/11/2017 - 13:22
hari
hari's picture

following

Hari P V

Mon, 09/11/2017 - 18:58
Jimmy.tam

First at the installed package to uninstall it. After that use APT to reinstall it again.

Wed, 09/13/2017 - 04:34
captncrunch

@Jimmy.tam: Actually I don't understand your sentences. Could you please explain what you mean?

Wed, 09/13/2017 - 05:50
Thu, 09/14/2017 - 04:44 (Reply to #6)
captncrunch

This don't work for me... Testing the following link...

Wed, 09/13/2017 - 07:05
hari
hari's picture

follow this thread , worked for me

https://www.virtualmin.com/node/53455

Hari P V

Thu, 09/14/2017 - 22:31
Joe
Joe's picture

Make sure you have the latest virtualmin-config package and run the following:

# virtualmin config-system --include ProFTPd

This assumes you're running a system installed with the 6.0.x version of the install script. Old systems with ProFTPd problems should not follow this step.

--

Check out the forum guidelines!

Sat, 08/17/2019 - 09:30 (Reply to #9)
fade2gray

Thanks Joe - why is this still an issue?

Mon, 09/18/2017 - 08:40
captncrunch

@Joe, @ll: Thanks for your help. I commented out all TLS-Lines an it works... (https://www.virtualmin.com/node/53455) => Problem solved!